on: [push, pull_request]
jobs:
  gogenerate:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v3
      - uses: actions/setup-go@v3
        with:
          go-version: "1.20.x"
      - name: Install dependencies
        run: go build
      - name: Run code generators
        run: .github/workflows/go-generate.sh
